Loading...
Searching...
No Matches
casacore::TableArrayConformanceError Class Reference
tables package (libcasa_tables) » Tables_module

Table error; non-conformant array. More...

`#include <TableError.h>`

## Public Member Functions

| TableArrayConformanceError (const String &message, Category c=CONFORMANCE)
| This constructor appends ": Table array conformance error" to the given message.
| TableArrayConformanceError (const String &message, const IPosition &shape, const IPosition &expectedShape, Category c=CONFORMANCE)
| This constructor appends ": Table array conformance error" to the given message with the given and expected shape.
| ~TableArrayConformanceError () noexcept
Public Member Functions inherited from casacore::TableError
| TableError (Category c=GENERAL)
| The default constructor generates the message "Table error".
| TableError (const String &message, Category c=GENERAL)
| Construct with given message.
| ~TableError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Table error; non-conformant array.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

When putting a direct array, the shape of the array must conform the shape as defined for the table array. When getting an array, the receiving array must be zero-length or it must conform the shape of the table array.

Definition at line 362 of file TableError.h.

## Constructor & Destructor Documentation

## TableArrayConformanceError() [1/2]

casacore::TableArrayConformanceError::TableArrayConformanceError | ( | const String & | message,
|  | Category | c = CONFORMANCE )

This constructor appends ": Table array conformance error" to the given message.

References casacore::AipsError::CONFORMANCE, and casacore::AipsError::message.

## TableArrayConformanceError() [2/2]

casacore::TableArrayConformanceError::TableArrayConformanceError | ( | const String & | message,
|  | const IPosition & | shape,
|  | const IPosition & | expectedShape,
|  | Category | c = CONFORMANCE )

This constructor appends ": Table array conformance error" to the given message with the given and expected shape.

References casacore::AipsError::CONFORMANCE, casacore::AipsError::message, and casacore::shape().

## ~TableArrayConformanceError()

casacore::TableArrayConformanceError::~TableArrayConformanceError | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- tables/Tables/TableError.h